commit b4cfd50708535c0f9da4538cd6944d4cf4656924
Author: freddy77 <freddy77>
Date:   Thu Aug 20 17:51:15 2009 +0000

    enable tds 7.2 support for odbc

diff --git a/ChangeLog b/ChangeLog
index d652de6..09d23d9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Aug 20 19:51:03 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/config.c src/tds/login.c src/tds/query.c src/tds/token.c:
+	- enable tds 7.2 support for odbc
+
 Thu Aug 20 19:49:45 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/read.c: small tds_get_n improve
 
@@ -1754,4 +1758,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2849 2009/08/20 17:50:05 freddy77 Exp $
+$Id: ChangeLog,v 1.2850 2009/08/20 17:51:15 freddy77 Exp $
diff --git a/src/tds/config.c b/src/tds/config.c
index 8baab11..f1ba176 100644
--- a/src/tds/config.c
+++ b/src/tds/config.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: config.c,v 1.143 2009/04/18 19:35:38 jklowden Exp $");
+TDS_RCSID(var, "$Id: config.c,v 1.144 2009/08/20 17:51:15 freddy77 Exp $");
 
 static void tds_config_login(TDSCONNECTION * connection, TDSLOGIN * login);
 static void tds_config_env_tdsdump(TDSCONNECTION * connection);
@@ -717,12 +717,10 @@ tds_config_verstr(const char *tdsver, TDSCONNECTION * connection)
 		version = 0x50;
 	else if (!strcmp(tdsver, "70") || !strcmp(tdsver, "7.0"))
 		version = 0x70;
-	else if (!strcmp(tdsver, "80") || !strcmp(tdsver, "8.0"))
+	else if (!strcmp(tdsver, "80") || !strcmp(tdsver, "8.0") || !strcmp(tdsver, "7.1"))
 		version = 0x80;
-#ifdef ENABLE_DEVELOPING
-	else if (!strcmp(tdsver, "90") || !strcmp(tdsver, "9.0"))
+	else if (!strcmp(tdsver, "7.2"))
 		version = 0x90;
-#endif
 	else if (!strcmp(tdsver, "0.0"))
 		version = 0;
 	else 
diff --git a/src/tds/login.c b/src/tds/login.c
index 0c64fda..3f5de67 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.186 2009/08/17 16:52:31 freddy77 Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.187 2009/08/20 17:51:15 freddy77 Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
@@ -337,12 +337,17 @@ tds_connect_and_login(TDSSOCKET * tds, TDSCONNECTION * connection)
 		TDS_TINYINT major_version;
 		TDS_TINYINT minor_version;
 	} versions[] =
-		{ { 8, 0 }
+		{ { 9, 0 }
+		, { 8, 0 }
 		, { 7, 0 }
 		, { 5, 0 }
 		, { 4, 2 }
 		};
 
+	/* disable tds9 if iconv wanted, currently not supported */
+	if (connection->major_version == 9 && tds->use_iconv)
+		connection->major_version = 8;
+
 	if (connection->major_version == 0) {
 		unsigned int i;
 		TDSSAVECONTEXT save_ctx;
@@ -358,7 +363,7 @@ tds_connect_and_login(TDSSOCKET * tds, TDSCONNECTION * connection)
 		tds->env_chg_func = tds_save_env;
 		mod_ctx->err_handler = NULL;
 
-		for (i=0; i < TDS_VECTOR_SIZE(versions); ++i) {
+		for (i=tds->use_iconv ? 1: 0; i < TDS_VECTOR_SIZE(versions); ++i) {
 			connection->major_version = versions[i].major_version;
 			connection->minor_version = versions[i].minor_version;
 			reset_save_context(&save_ctx);
diff --git a/src/tds/query.c b/src/tds/query.c
index 346ddaf..41d2b0f 100644
--- a/src/tds/query.c
+++ b/src/tds/query.c
@@ -46,7 +46,7 @@
 
 #include <assert.h>
 
-TDS_RCSID(var, "$Id: query.c,v 1.238 2009/08/18 11:09:13 freddy77 Exp $");
+TDS_RCSID(var, "$Id: query.c,v 1.239 2009/08/20 17:51:15 freddy77 Exp $");
 
 static void tds_put_params(TDSSOCKET * tds, TDSPARAMINFO * info, int flags);
 static void tds7_put_query_params(TDSSOCKET * tds, const char *query, size_t query_len);
@@ -234,7 +234,6 @@ tds5_fix_dot_query(const char *query, size_t *query_len, TDSPARAMINFO * params)
 	return out;
 }
 
-#ifdef ENABLE_DEVELOPING
 static const TDS_UCHAR tds9_query_start[] = {
 	/* total length */
 	0x16, 0, 0, 0,
@@ -261,9 +260,6 @@ tds_start_query(TDSSOCKET *tds)
 	tds_put_n(tds, tds->tds9_transaction, 8);
 	tds_put_n(tds, tds9_query_start + 10 + 8, 4);
 }
-#else
-#define START_QUERY do { ; } while(0)
-#endif
 
 /**
  * tds_submit_query_params() sends a language string to the database server for
diff --git a/src/tds/token.c b/src/tds/token.c
index c015b96..021601f 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -42,7 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.368 2009/08/20 17:49:07 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.369 2009/08/20 17:51:15 freddy77 Exp $");
 
 #define USE_ICONV tds->use_iconv
 
@@ -1440,13 +1440,11 @@ tds7_get_data_info(TDSSOCKET * tds, TDSCOLUMN * curcol)
 		break;
 	case 2:
 		curcol->column_size = tds_get_smallint(tds);
-#ifdef ENABLE_DEVELOPING
 		/* under TDS9 this means ?var???(MAX) */
 		if (curcol->column_size < 0 && IS_TDS90(tds)) {
 			curcol->column_size = 0x3ffffffflu;
 			curcol->column_varint_size = 8;
 		}
-#endif
 		break;
 	case 1:
 		curcol->column_size = tds_get_byte(tds);
@@ -1949,7 +1947,6 @@ tds_process_compute(TDSSOCKET * tds, TDS_INT * pcomputeid)
 	return TDS_SUCCEED;
 }
 
-#ifdef ENABLE_DEVELOPING
 static int
 tds9_get_varmax(TDSSOCKET * tds, TDSCOLUMN * curcol)
 {
@@ -1987,7 +1984,6 @@ tds9_get_varmax(TDSSOCKET * tds, TDSCOLUMN * curcol)
 	}
 	return TDS_SUCCEED;
 }
-#endif
 
 static int
 tds7_get_variant(TDSSOCKET * tds, TDSCOLUMN * curcol)
@@ -2139,10 +2135,8 @@ tds_get_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 		blob = (TDSBLOB *) curcol->column_data;
 		colsize = tds_get_int(tds);
 		break;
-#ifdef ENABLE_DEVELOPING
 	case 8:
 		return tds9_get_varmax(tds, curcol);
-#endif
 	case 2:
 		colsize = tds_get_smallint(tds);
 		break;

